Jump to content
pugwash

Unable to upgrade TMB900

Recommended Posts

Hi there

Having loaded up the TBM 900 I got the message that an upgrade was available. I logged in and downloaded.

I then tried to upgrade but keep hitting the same error message.

These are shots of the point at which it fails:

716926167_Screenshot2020-01-18at18_33_18.thumb.png.fea2bef9fb57b2d11fca807fcbbce3b8.png

Clicking on OK results in this.

262477260_Screenshot2020-01-18at18_33_41.thumb.png.0205b1493e88c032d9a4cfa966dc7a93.png

The full text of the error is:

There has been an error.
Error running /Users/JHPiMac/Desktop/X-Plane 11 NEW/X-Aviation/Uninstall TBM 900.app/Contents/MacOS/installbuilder.sh : /Users/JHPiMac/Desktop/X-Plane 11 NEW/X-Aviation/Uninstall TBM 900.app/Contents/MacOS/installbuilder.sh: line 20: /Users/JHPiMac/Desktop/X-Plane 11 NEW/X-Aviation/Uninstall TBM 900.app/Contents/MacOS/osx-intel: Bad CPU type in executable
The application will exit now.

Any ideas what could be happening as I cannot now load the original plane?

Thanks

Share this post


Link to post
Share on other sites

My guess would be that you have updated to Mac OS X Catalina since last installing the TBM. As such, the old installer will not work on Catalina, as it is 32-bit and Catalina only runs 64.

Share this post


Link to post
Share on other sites
14 hours ago, Cameron said:

My guess would be that you have updated to Mac OS X Catalina since last installing the TBM. As such, the old installer will not work on Catalina, as it is 32-bit and Catalina only runs 64.

Hi Cameron

 

Many thanks for swift reply. Yes I have updated to Catalina. I'm guessing that I shall be sticking to version 1.1.9 of the plane for a while then. Hopefully an updated 64-bit installer will appear on the scene at some time.

Regards

John

Share this post


Link to post
Share on other sites
9 hours ago, pugwash said:

Hi Cameron

 

Many thanks for swift reply. Yes I have updated to Catalina. I'm guessing that I shall be sticking to version 1.1.9 of the plane for a while then. Hopefully an updated 64-bit installer will appear on the scene at some time.

Regards

John

No, it's already Catalina compatible. What's not compatible is the 1.1.9 uninstaller you are trying to use.

You will need to manually delete it in the X-Plane/X-Aviation folder, and then also delete the TBM 900 in X-Plane/Aircraft/X-Aviation. Be sure to save any custom liveries in the process. You should then be able to run the new installer.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.

×